=== debian/control ===
Source: krb5
Section: net
Priority: optional
Build-Depends: debhelper-compat (= 13), byacc | bison,
 comerr-dev, docbook-to-man,
 libkeyutils-dev [linux-any], libldap2-dev <!stage1>, libsasl2-dev <!stage1>,
 libssl-dev,  ss-dev,
 libverto-dev (>= 0.2.4), pkg-config
Build-Depends-Indep: python3, python3-cheetah, python3-lxml, python3-sphinx, doxygen, doxygen-latex, tex-gyre
Standards-Version: 4.6.0
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Sam Hartman <hartmans@debian.org>
Uploaders: Russ Allbery <rra@debian.org>, Benjamin Kaduk <kaduk@mit.edu>
Homepage: http://web.mit.edu/kerberos/
VCS-Git: https://salsa.debian.org/debian/krb5
VCS-Browser: https://salsa.debian.org/debian/krb5

Package: krb5-user
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libkrb5-3 (= ${binary:Version}),
  krb5-config
Multi-Arch: foreign
Conflicts: heimdal-clients
Suggests: krb5-k5tls
Description: basic programs to authenticate using MIT Kerberos
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the Kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").
 .
 This is the MIT reference implementation of Kerberos V5.
 .
 This package contains the basic programs to authenticate to MIT Kerberos,
 change passwords, and talk to the admin server (to create and delete
 principals, list principals, etc.).

Package: krb5-kdc
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libkrb5-3 (= ${binary:Version}),
 libkadm5srv-mit12,
 krb5-config, krb5-user, lsb-base (>= 3.0-6), libverto-libev1 | libverto-libevent1,
 libkdb5-10 (>= 1.13.1+dfsg-1)
Pre-Depends: ${misc:Pre-Depends}
Suggests: krb5-kpropd, krb5-admin-server,
 krb5-kdc-ldap (= ${binary:Version})
Multi-Arch: foreign
Description: MIT Kerberos key server (KDC)
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the Kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").
 .
 This is the MIT reference implementation of Kerberos V5.
 .
 This package contains the Kerberos key server (KDC).  The KDC manages all
 authentication credentials for a Kerberos realm, holds the master keys
 for the realm, and responds to authentication requests.  This package
 should be installed on both master and slave KDCs.

Package: krb5-kdc-ldap
Architecture: any
Build-Profiles: <!stage1>
Depends: ${misc:Depends}, ${shlibs:Depends}, krb5-kdc (= ${binary:Version})
Description: MIT Kerberos key server (KDC) LDAP plugin
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the Kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").
 .
 This is the MIT reference implementation of Kerberos V5.
 .
 This package contains the LDAP plugin for the Kerberos key server (KDC)
 and supporting utilities.  This plugin allows the KDC data to be stored
 in an LDAP server rather than the default local database.  It should be
 installed on both master and slave KDCs that use LDAP as a storage
 backend.

Package: krb5-admin-server
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libkrb5-3 (= ${binary:Version}),
 krb5-kdc (>= 1.10+dfsg~), lsb-base (>= 3.0-6)
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: foreign
Description: MIT Kerberos master server (kadmind)
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the Kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").
 .
 This is the MIT reference implementation of Kerberos V5.
 .
 This package contains the Kerberos master server (kadmind), which handles
 account creations and deletions, password changes, and other
 administrative commands via the Kerberos admin protocol.  It also
 contains the command used by the master KDC to propagate its database to
 slave KDCs.  This package is generally only used on the master KDC for a
 Kerberos realm.

Package: krb5-kpropd
Architecture: any
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends},
 krb5-kdc (= ${binary:Version}),
 lsb-base
Replaces: krb5-kdc (<< 1.15.1-3~)
Suggests: openbsd-inetd | inet-superserver
Description: MIT Kerberos key server (Slave KDC Support)
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the Kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").
 .
 This is the MIT reference implementation of Kerberos V5.
 .
 This package contains the Kerberos slave KDC update server (kpropd). The
 kpropd command runs on the slave KDC server. It listens for update requests
 made by the kprop program, and periodically requests incremental updates from
 the master KDC. This package should be installed on slave KDCs.

Package: krb5-multidev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libkrb5-3 (= ${binary:Version}),
 libk5crypto3 (= ${binary:Version}), libgssapi-krb5-2 (= ${binary:Version}),
 libgssrpc4 (= ${binary:Version}),
 libkadm5srv-mit12  (= ${binary:Version}),
 libkadm5clnt-mit12 (= ${binary:Version}),
 comerr-dev
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Suggests: krb5-doc
Description: development files for MIT Kerberos without Heimdal conflict
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the Kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").
 .
 This is the MIT reference implementation of Kerberos V5.
 .
 Most users wishing to build applications against MIT Kerberos should
 install libkrb5-dev.  However, that package conflicts with heimdal-dev.
 This package installs libraries and headers in /usr/include/mit-krb5 and
 /usr/lib/mit-krb5 and can be installed along side heimdal-multidev, which
 provides the same facilities for Heimdal.

Package: libkrb5-dev
Section: libdevel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, krb5-multidev (= ${binary:Version})
Replaces: krb5-multidev (<< 1.8+dfsg~alpha1-3)
Conflicts: heimdal-dev
Multi-Arch: same
Suggests: krb5-doc
Description: headers and development libraries for MIT Kerberos
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the Kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").
 .
 This is the MIT reference implementation of Kerberos V5.
 .
 This package contains the symlinks, headers, and development libraries
 needed to compile and link programs that use the Kerberos libraries.

Package: libkrb5-dbg
Architecture: any
Depends: ${misc:Depends}, libkrb5-3 (= ${binary:Version})
 | libk5crypto3 (= ${binary:Version})
 | libkrb5support0 (= ${binary:Version})
Section: debug
Multi-Arch: same
Description: debugging files for MIT Kerberos
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the Kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").
 .
 This is the MIT reference implementation of Kerberos V5.
 .
 This package contains the debugging information for the MIT Kerberos
 libraries.  Install this package if you need to trace problems inside the
 MIT Kerberos libraries with a debugger.

Package: krb5-pkinit
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libkrb5-3 (= ${binary:Version})
Breaks: krb5-kdc (<< 1.14+dfsg)
Suggests: opensc
Multi-Arch: same
Description: PKINIT plugin for MIT Kerberos
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the Kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").
 .
 This is the MIT reference implementation of Kerberos V5.
 .
 This package contains a plugin for the PKINIT protocol, which allows
 Kerberos tickets to be obtained using public-key credentials such as
 X.509 certificates or a smart card.  This plugin can be used by the
 client libraries and the KDC.

Package: krb5-otp
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libkrad0 (= ${binary:Version}),
 libkrb5-3 (>= 1.12~alpha1+dfsg-1~)
Multi-Arch: same
Description: OTP plugin for MIT Kerberos
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the Kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").
 .
 This is the MIT reference implementation of Kerberos V5.
 .
 This package contains a plugin for the OTP preauthentication method
 (RFC 6560), which allows Kerberos tickets to be obtained using
 One-Time Password authentication.  This plugin is for use on the KDC; the
 client support is built in to libkrb5.

Package: krb5-k5tls
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, libkrb5-3 (>= 1.13~alpha1+dfsg~)
Multi-Arch: same
Description: TLS plugin for MIT Kerberos
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the Kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").
 .
 This is the MIT reference implementation of Kerberos V5.
 .
 This package contains a plugin for the TLS functionality used by optional
 functionality in MIT Kerberos.  The only current consumer is client support
 for the MS-KKDCP protocol, which tunnels Kerberos protocol traffic through
 an HTTPS proxy.

Package: krb5-doc
Architecture: all
Multi-Arch: foreign
Conflicts: heimdal-docs
Section: doc
Depends: ${misc:Depends}
Recommends: libjs-sphinxdoc, libjs-jquery, libjs-underscore
Description: documentation for MIT Kerberos
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the Kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").
 .
 This is the MIT reference implementation of Kerberos V5.
 .
 This package contains the installation, administrator, and user reference
 manuals for MIT Kerberos and the man pages for the MIT Kerberos
 configuration files.

Package: libkrb5-3
Section: libs
Breaks:  sssd (<= 1.2.1-4.3), libsmbclient (<= 2:3.6.1-2), libapache2-mod-auth-kerb (<= 5.4-2.4)
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
 libkrb5support0 (= ${binary:Version})
Suggests: krb5-doc, krb5-user
Recommends: krb5-locales
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Description: MIT Kerberos runtime libraries
 Kerberos is a system for authenticating users and services on a network.
 Kerberos is a trusted third-party service.  That means that there is a
 third party (the Kerberos server) that is trusted by all the entities on
 the network (users and services, usually called "principals").
 .
 This is the MIT reference implementation of Kerberos V5.
 .
