=== debian/rules ===
--- 
+++ 
@@ -22,7 +22,7 @@
 	-Xsserver -Xsim_server -Xuuserver \
 	-Xsclient -Xsim_client -Xuuclient -Xpreauth/test.so
 
-LIB_PACKAGES = libkrb5-3 libgssapi-krb5-2 libkadm5clnt-mit12 libkadm5srv-mit12 libkdb5-10 libgssrpc4  \
+LIB_PACKAGES = libkrb5-3 libgssapi-krb5-2 libkadm5clnt-mit12 libkadm5srv-mit12 libkdb5-10t64 libgssrpc4t64  \
 	libkrb5support0  libk5crypto3 libkrad0
 
 ifneq (,$(filter stage1,$(DEB_BUILD_PROFILES)))
@@ -120,6 +120,10 @@
 		debian/krb5-kdc/usr/share/krb5-kdc/kdc.conf.template
 	ln -s /usr/share/krb5-kdc/kdc.conf.template \
 		debian/krb5-kdc/usr/share/doc/krb5-kdc/examples/kdc.conf
+	for I in kdestroy kinit klist kpasswd ksu kadmin ktutil kswitch; do { \
+		mv debian/krb5-user/usr/bin/$$I debian/krb5-user/usr/bin/$$I.mit; \
+		mv debian/krb5-user/usr/share/man/man1/$$I.1 debian/krb5-user/usr/share/man/man1/$$I.mit.1; \
+	} done
 
 override_dh_installinit:
 	# We don't need to override systemd because the systemd behavior is reasonable, and we're just trying to work around issues with error handling in init scripts
@@ -138,14 +142,15 @@
 
 override_dh_fixperms-arch:
 	dh_fixperms
-	chmod u+s debian/krb5-user/usr/bin/ksu
+	chmod u+s debian/krb5-user/usr/bin/ksu.mit
 	chmod 700 debian/krb5-kdc/var/lib/krb5kdc
 	chmod 700 debian/krb5-kdc/etc/krb5kdc
 
-override_dh_auto_test: 
+override_dh_auto_test:
+	dh_auto_test $(DH_BUILD_OPTS) --no-parallel
 
 %:
-	dh $@ 
+	dh $@
 
 
 #.PHONY: build clean configure binary-indep binary-arch binary install
