=== debian/tests/control ===
Tests: kinit
Depends: @
Restrictions: isolation-container, needs-root, allow-stderr

Tests: slapd-gssapi
Depends: ldap-utils, libsasl2-modules-gssapi-mit, slapd, @
Restrictions: isolation-container, needs-root, allow-stderr
