## krb5 1.21.3

=== debian/changelog ===
krb5 (1.21.3-4ubuntu2) plucky; urgency=medium

  * SECURITY UPDATE: denial of service via two memory leaks
    - debian/patches/CVE-2024-26458.patch: fix two unlikely memory leaks in
      src/lib/gssapi/krb5/k5sealv3.c, src/lib/rpc/pmap_rmt.c.
    - CVE-2024-26458
    - CVE-2024-26461
  * SECURITY UPDATE: kadmind DoS via iprop log file
    - debian/patches/CVE-2025-24528.patch: prevent overflow when
      calculating ulog block size in src/lib/kdb/kdb_log.c.
    - CVE-2025-24528

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 25 Feb 2025 10:22:31 -0500

krb5 (1.21.3-4ubuntu1) plucky; urgency=medium

  * SECURITY UPDATE: Use of MD5-based message authentication over plaintext
    communications could lead to forgery attacks.
    - debian/patches/CVE-2024-3596.patch: Secure Response Authentication
      by adding support for the Message-Authenticator attribute in non-EAP
      authentication methods.
    - CVE-2024-3596
  * Update libk5crypto3 symbols: add k5_hmac_md5 symbol.

 -- Nicolas Campuzano Jimenez <nicolas.campuzano@canonical.com>  Tue, 04 Feb 2025 11:30:48 -0500

krb5 (1.21.3-4) unstable; urgency=medium

  [ Fabio Pedretti ]
  * fix bug closing syntax

  [ Sam Hartman ]
  * Do not set ownership in debian/rules so we can work without fakeroot,
  Thanks Guillem Jover for patch and for pointing out that setuid for ksu
  will still work, Closes: #1092384
  * Update standards-version to 4.7.0 (no change)
  * build-depend on pkgconf not pkg-config

 -- Sam Hartman <hartmans@debian.org>  Thu, 16 Jan 2025 11:26:01 -0700

krb5 (1.21.3-3) unstable; urgency=medium

  * Fix sysconfdir in call to configure, broken in previous upload, Closes: #1075813

 -- Sam Hartman <hartmans@debian.org>  Fri, 05 Jul 2024 11:25:26 -0600

krb5 (1.21.3-2) unstable; urgency=high

  * Enable lmdb database, Closes: #1075723
  * use libnss-myhostname to guarantee we have a hostname for builds, Closes: #1063648

 -- Sam Hartman <hartmans@debian.org>  Wed, 03 Jul 2024 13:47:10 -0600

krb5 (1.21.3-1) unstable; urgency=high

  * New Upstream version
    -     CVE-2024-37370: an unauthenticated attacker can modify the
    extra count in an RFC 4121 GSS token, causing the token to appear
    truncated.
    - CVE-2024-37371: an attacker can cause invalid memory reads by
    sending an invalid GSS token.
  * Drop doxygen work around patch: applied upstream
  * Fix Python 3.12 tests: replace ssl.wrap_socket, Closes: #1067610

 -- Sam Hartman <hartmans@debian.org>  Thu, 27 Jun 2024 11:54:54 -0600

krb5 (1.21.2-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable)

  [ Otto Kekäläinen ]
  * Run 'wrap-and-sort'
  * Drop obsolete dependency on package lsb-base
  * Make package Lintian clean
  * Enable Salsa-CI

  [ Chris Hofstaedtler ]
  *  Install systemd unit overrides into /usr. (DEP17 M2). Closes: #1072915

  [ Sam Hartman ]
  * New Upstream version 1.21.2, Closes: #1070848
  * Update symbols and breaks for internal APIs that were removed
  * Allow kpropd to bind even if only loopback is configured, Closes: #1072952
  * Skip keyring tests if keyring blocked by seccomp

 -- Sam Hartman <hartmans@debian.org>  Fri, 14 Jun 2024 16:39:28 -0600
