=== debian/control ===
--- 
+++ 
@@ -1,27 +1,47 @@
 Source: krb5
 Section: net
 Priority: optional
-Build-Depends: debhelper-compat (= 13), byacc | bison,
- comerr-dev, docbook-to-man,
- libkeyutils-dev [linux-any], libldap2-dev <!stage1>, libsasl2-dev <!stage1>,
- libssl-dev,  ss-dev,
- libverto-dev (>= 0.2.4), pkg-config
-Build-Depends-Indep: python3, python3-cheetah, python3-lxml, python3-sphinx, doxygen, doxygen-latex, tex-gyre
-Standards-Version: 4.6.0
+Build-Depends: byacc | bison,
+               comerr-dev,
+               debhelper-compat (= 13),
+               docbook-to-man,
+               dpkg-dev (>= 1.22.5),
+               libkeyutils-dev [linux-any],
+               libldap2-dev <!stage1>,
+               liblmdb-dev, 
+               libnss-myhostname, 
+               libsasl2-dev <!stage1>,
+               libssl-dev,
+               libverto-dev,
+               pkgconf,
+               ss-dev
+Build-Depends-Indep: doxygen,
+                     doxygen-latex,
+                     python3,
+                     python3-cheetah,
+                     python3-lxml,
+                     python3-sphinx,
+                     tex-gyre
+Build-Depends-Arch: dpkg-dev (>= 1.22.5),
+                    keyutils [linux-any] <!nocheck>,
+                    libcmocka-dev <!nocheck>,
+                    python3-kdcproxy <!nocheck>,
+                    python3-pyrad <!nocheck>
+Standards-Version: 4.7.0
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Sam Hartman <hartmans@debian.org>
 Uploaders: Russ Allbery <rra@debian.org>, Benjamin Kaduk <kaduk@mit.edu>
-Homepage: http://web.mit.edu/kerberos/
-VCS-Git: https://salsa.debian.org/debian/krb5
-VCS-Browser: https://salsa.debian.org/debian/krb5
+Homepage: https://web.mit.edu/kerberos/
+Vcs-Git: https://salsa.debian.org/debian/krb5
+Vcs-Browser: https://salsa.debian.org/debian/krb5
 
 Package: krb5-user
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, libkrb5-3 (= ${binary:Version}),
-  krb5-config
-Multi-Arch: foreign
-Conflicts: heimdal-clients
+Depends: libkrb5-3 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
+Recommends: krb5-config
+Multi-Arch: foreign
 Suggests: krb5-k5tls
+Conflicts: heimdal-clients (<< 1.6~rc2+dfsg-7)
 Description: basic programs to authenticate using MIT Kerberos
  Kerberos is a system for authenticating users and services on a network.
  Kerberos is a trusted third-party service.  That means that there is a
@@ -36,13 +56,16 @@
 
 Package: krb5-kdc
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, libkrb5-3 (= ${binary:Version}),
- libkadm5srv-mit12,
- krb5-config, krb5-user, lsb-base (>= 3.0-6), libverto-libev1 | libverto-libevent1,
- libkdb5-10 (>= 1.13.1+dfsg-1)
-Pre-Depends: ${misc:Pre-Depends}
-Suggests: krb5-kpropd, krb5-admin-server,
- krb5-kdc-ldap (= ${binary:Version})
+Depends: krb5-config,
+         krb5-user,
+         libkadm5srv-mit12,
+         libkdb5-10t64 (>= 1.13.1+dfsg-1),
+         libkrb5-3 (= ${binary:Version}),
+         libverto-libev1t64 | libverto-libevent1t64,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Pre-Depends: ${misc:Pre-Depends}
+Suggests: krb5-admin-server, krb5-kdc-ldap (= ${binary:Version}), krb5-kpropd
 Multi-Arch: foreign
 Description: MIT Kerberos key server (KDC)
  Kerberos is a system for authenticating users and services on a network.
@@ -60,7 +83,7 @@
 Package: krb5-kdc-ldap
 Architecture: any
 Build-Profiles: <!stage1>
-Depends: ${misc:Depends}, ${shlibs:Depends}, krb5-kdc (= ${binary:Version})
+Depends: krb5-kdc (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Description: MIT Kerberos key server (KDC) LDAP plugin
  Kerberos is a system for authenticating users and services on a network.
  Kerberos is a trusted third-party service.  That means that there is a
@@ -77,8 +100,10 @@
 
 Package: krb5-admin-server
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, libkrb5-3 (= ${binary:Version}),
- krb5-kdc (>= 1.10+dfsg~), lsb-base (>= 3.0-6)
+Depends: krb5-kdc,
+         libkrb5-3 (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: foreign
 Description: MIT Kerberos master server (kadmind)
@@ -100,10 +125,9 @@
 Architecture: any
 Multi-Arch: foreign
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, ${shlibs:Depends},
- krb5-kdc (= ${binary:Version}),
- lsb-base
-Replaces: krb5-kdc (<< 1.15.1-3~)
+Depends: krb5-kdc (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Suggests: openbsd-inetd | inet-superserver
 Description: MIT Kerberos key server (Slave KDC Support)
  Kerberos is a system for authenticating users and services on a network.
@@ -121,12 +145,14 @@
 Package: krb5-multidev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libkrb5-3 (= ${binary:Version}),
- libk5crypto3 (= ${binary:Version}), libgssapi-krb5-2 (= ${binary:Version}),
- libgssrpc4 (= ${binary:Version}),
- libkadm5srv-mit12  (= ${binary:Version}),
- libkadm5clnt-mit12 (= ${binary:Version}),
- comerr-dev
+Depends: comerr-dev,
+         libgssapi-krb5-2 (= ${binary:Version}),
+         libgssrpc4t64 (= ${binary:Version}),
+         libk5crypto3 (= ${binary:Version}),
+         libkadm5clnt-mit12 (= ${binary:Version}),
+         libkadm5srv-mit12  (= ${binary:Version}),
+         libkrb5-3 (= ${binary:Version}),
+         ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Suggests: krb5-doc
@@ -148,8 +174,7 @@
 Section: libdevel
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${misc:Depends}, krb5-multidev (= ${binary:Version})
-Replaces: krb5-multidev (<< 1.8+dfsg~alpha1-3)
+Depends: krb5-multidev (= ${binary:Version}), ${misc:Depends}
 Conflicts: heimdal-dev
 Multi-Arch: same
 Suggests: krb5-doc
@@ -166,9 +191,8 @@
 
 Package: libkrb5-dbg
 Architecture: any
-Depends: ${misc:Depends}, libkrb5-3 (= ${binary:Version})
- | libk5crypto3 (= ${binary:Version})
- | libkrb5support0 (= ${binary:Version})
+Depends: libkrb5-3 (= ${binary:Version}) | libk5crypto3 (= ${binary:Version}) | libkrb5support0 (= ${binary:Version}),
+         ${misc:Depends}
 Section: debug
 Multi-Arch: same
 Description: debugging files for MIT Kerberos
@@ -185,8 +209,7 @@
 
 Package: krb5-pkinit
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, libkrb5-3 (= ${binary:Version})
-Breaks: krb5-kdc (<< 1.14+dfsg)
+Depends: libkrb5-3 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Suggests: opensc
 Multi-Arch: same
 Description: PKINIT plugin for MIT Kerberos
@@ -204,8 +227,9 @@
 
 Package: krb5-otp
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, libkrad0 (= ${binary:Version}),
- libkrb5-3 (>= 1.12~alpha1+dfsg-1~)
+Depends: libkrad0 (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends}
 Multi-Arch: same
 Description: OTP plugin for MIT Kerberos
  Kerberos is a system for authenticating users and services on a network.
@@ -222,7 +246,7 @@
 
 Package: krb5-k5tls
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}, libkrb5-3 (>= 1.13~alpha1+dfsg~)
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Description: TLS plugin for MIT Kerberos
  Kerberos is a system for authenticating users and services on a network.
@@ -243,7 +267,7 @@
 Conflicts: heimdal-docs
 Section: doc
 Depends: ${misc:Depends}
-Recommends: libjs-sphinxdoc, libjs-jquery, libjs-underscore
+Recommends: libjs-jquery, libjs-sphinxdoc, libjs-underscore
 Description: documentation for MIT Kerberos
  Kerberos is a system for authenticating users and services on a network.
  Kerberos is a trusted third-party service.  That means that there is a
@@ -258,19 +282,7 @@
 
 Package: libkrb5-3
 Section: libs
-Breaks:  sssd (<= 1.2.1-4.3), libsmbclient (<= 2:3.6.1-2), libapache2-mod-auth-kerb (<= 5.4-2.4)
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends},
- libkrb5support0 (= ${binary:Version})
-Suggests: krb5-doc, krb5-user
-Recommends: krb5-locales
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Description: MIT Kerberos runtime libraries
- Kerberos is a system for authenticating users and services on a network.
- Kerberos is a trusted third-party service.  That means that there is a
- third party (the Kerberos server) that is trusted by all the entities on
- the network (users and services, usually called "principals").
- .
- This is the MIT reference implementation of Kerberos V5.
- .
+Breaks: libapache2-mod-auth-kerb (<= 5.4-2.4)
+Architecture: any
+Depends: libkrb5support0 (= ${binary:Version}),
+         ${misc:Depends},
