=== debian/rules ===
--- 
+++ 
@@ -38,11 +38,19 @@
 
 build: build-arch build-indep
 
+execute_before_dh_auto_build:
+	# It's fine for a test program not to get some of the hardening flags because
+	# it is never installed
+	@echo 'blhc: ignore-line-regexp: .* -o t_trval .*'
+	# It's not a problem that fortify flags are absent when preprosessor creates
+	# version identifier in docs
+	@echo 'blhc: ignore-line-regexp: .*doc/version.py'
 
 override_dh_auto_configure:
 	dh_auto_configure $(DH_BUILD_OPTS) -- --with-system-et --with-system-ss --disable-rpath  \
 		--enable-shared $(CONFIGURE_LDAP) --without-tcl \
 	--with-system-verto \
+	--with-lmdb \
 		--sysconfdir=/etc  \
 		--localstatedir=/etc
 
@@ -114,9 +122,9 @@
 
 	docbook-to-man debian/krb5_newrealm.sgml \
 		> debian/krb5-admin-server/usr/share/man/man8/krb5_newrealm.8
-	install -o root -g root -m 755 debian/krb5_newrealm \
+	install -m 755 debian/krb5_newrealm \
 		debian/krb5-admin-server/usr/sbin
-	install -o root -g root -m 644 debian/kdc.conf \
+	install -m 644 debian/kdc.conf \
 		debian/krb5-kdc/usr/share/krb5-kdc/kdc.conf.template
 	ln -s /usr/share/krb5-kdc/kdc.conf.template \
 		debian/krb5-kdc/usr/share/doc/krb5-kdc/examples/kdc.conf
