=== debian/changelog ===
krb5 (1.22.1-1) experimental; urgency=medium

  * New upstream version
    - Builds with gcc-15, Closes: #1097099
  * Update symbols files

 -- Sam Hartman <hartmans@debian.org>  Tue, 07 Oct 2025 16:28:29 -0600

krb5 (1.21.3-5) unstable; urgency=medium

  * Non-maintainer upload with maintainer agreement.
  * Fix CVE-2025-24528: Prevent overflow when calculating
    ulog block size (Closes: #1094730)

 -- Bastien Roucariès <rouca@debian.org>  Sun, 23 Feb 2025 17:12:14 +0000
