=== debian/control ===
--- 
+++ 
@@ -28,8 +28,7 @@
                     python3-kdcproxy <!nocheck>,
                     python3-pyrad <!nocheck>
 Standards-Version: 4.7.0
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sam Hartman <hartmans@debian.org>
+Maintainer: Sam Hartman <hartmans@debian.org>
 Uploaders: Russ Allbery <rra@debian.org>, Benjamin Kaduk <kaduk@mit.edu>
 Homepage: https://web.mit.edu/kerberos/
 Vcs-Git: https://salsa.debian.org/debian/krb5
@@ -286,3 +285,7 @@
 Architecture: any
 Depends: libkrb5support0 (= ${binary:Version}),
          ${misc:Depends},
+         ${shlibs:Depends}
+Suggests: krb5-doc, krb5-user
+Recommends: krb5-locales
+Multi-Arch: same
